Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlSimple

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlSimple

All Implemented Interfaces:
  idlObject, idlPrimitive, java.io.Serializable

public class IdlSimple
extends IdlObject
implements idlPrimitive

Cette classe represente l'objet IDL Simple

Version:
  $Revision: 1.5 $ $Date: 2002/08/21 08:19:22 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Field Summary
`static IdlSimple` | `any_type` Le type simple Any
`static IdlSimple` | `boolean_type` Le type simple boolean
`static IdlSimple` | `char_type` Le type simple char
`static IdlSimple` | `double_type` Le type simple double
`static IdlSimple` | `float_type` Le type simple float
`static IdlSimple` | `long_type` Le type simple long
`static IdlSimple` | `longdouble_type` Le type simple longdouble
`static IdlSimple` | `longlong_type` Le type simple long long
`static IdlSimple` | `object_type` Le type simple Object
`static IdlSimple` | `octet_type` Le type simple octet
`static IdlSimple` | `short_type` Le type simple short
`static IdlSimple` | `typecode_type` Le type simple TypeCode
`static IdlSimple` | `ulong_type` Le type simple unsigned long
`static IdlSimple` | `ulonglong_type` Le type simple unsigned long long
`static IdlSimple` | `ushort_type` Le type simple unsigned short
`static IdlSimple` | `valuebase_type` Le type simple ValueBase
`static IdlSimple` | `void_type` Le type simple void
`static IdlSimple` | `wchar_type` Le type simple wchar

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Fields inherited from interface org.openorb.compiler.idl.reflect.idlPrimitive
`ANY, BOOLEAN, CHAR, DOUBLE, FLOAT, LONG, LONGDOUBLE, LONGLONG, OBJECT, OCTET, SHORT, TYPECODE, ULONG, ULONGLONG, USHORT, VALUEBASE, VOID, WCHAR`

Constructor Summary
`IdlSimple(int t)` Cree un objet IDL Simple

Method Summary
`void` | `changePrefix(java.lang.String prefix)` Change prefix to my self but also to all contained objects
`int` | `internal()` Retourne le type interne d'un type simple
`int` | `primitive()` Return the primitive type

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, contains, containsObject, content, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Field Detail

### void_type

    public static IdlSimple void_type

  Le type simple void

### boolean_type

    public static IdlSimple boolean_type

  Le type simple boolean

### float_type

    public static IdlSimple float_type

  Le type simple float

### double_type

    public static IdlSimple double_type

  Le type simple double

### longdouble_type

    public static IdlSimple longdouble_type

  Le type simple longdouble

### short_type

    public static IdlSimple short_type

  Le type simple short

### ushort_type

    public static IdlSimple ushort_type

  Le type simple unsigned short

### long_type

    public static IdlSimple long_type

  Le type simple long

### ulong_type

    public static IdlSimple ulong_type

  Le type simple unsigned long

### longlong_type

    public static IdlSimple longlong_type

  Le type simple long long

### ulonglong_type

    public static IdlSimple ulonglong_type

  Le type simple unsigned long long

### char_type

    public static IdlSimple char_type

  Le type simple char

### wchar_type

    public static IdlSimple wchar_type

  Le type simple wchar

### octet_type

    public static IdlSimple octet_type

  Le type simple octet

### object_type

    public static IdlSimple object_type

  Le type simple Object

### any_type

    public static IdlSimple any_type

  Le type simple Any

### typecode_type

    public static IdlSimple typecode_type

  Le type simple TypeCode

### valuebase_type

    public static IdlSimple valuebase_type

  Le type simple ValueBase

Constructor Detail

### IdlSimple

    public IdlSimple(int t)

  Cree un objet IDL Simple

Method Detail

### internal

    public int internal()

  Retourne le type interne d'un type simple
  Returns:
    le type interne

### changePrefix

    public void changePrefix(java.lang.String prefix)

  Change prefix to my self but also to all contained objects
  Overrides:
    `changePrefix` in class `IdlObject`

### primitive

    public int primitive()

  Description copied from interface: `idlPrimitive`
  Return the primitive type
  Specified by:
    `primitive` in interface `idlPrimitive`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD